import * as $dara from '@darabonba/typescript';
import { ModifyLaunchTemplateDefaultVersionResponseBody } from "./ModifyLaunchTemplateDefaultVersionResponseBody";
export declare class ModifyLaunchTemplateDefaultVersionResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyLaunchTemplateDefaultVersionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
